Bug 1033917 - Test case failure: Screen - Rotation on Radeon HD 8770 [1002:6650]
Summary: Test case failure: Screen - Rotation on Radeon HD 8770 [1002:6650]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: Jérôme Glisse
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-24 10:13 UTC by Vasiliy Sharapov
Modified: 2014-10-31 22:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1159419 (view as bug list)
Environment:
Last Closed: 2014-10-31 22:04:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vasiliy Sharapov 2013-11-24 10:13:42 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/100139/#caserun_3856469

Version-Release number of selected component (if applicable):
Build : RHEL-7.0-20131111.1
xorg-x11-server-Xorg-1.14.99.901-5.20131101.el7.x86_64
xorg-x11-drv-ati-7.2.0-6.20131023gitf1dc677.el7.x86_64
kernel-3.10.0-48.el7.x86_64


Steps to Reproduce: 
 1. open a terminal


 1. execute xrandr -o left
 2. execute xrandr -o right
 3. execute xrandr -o normal



Actual results: 
Rotation is not possible in the display tool or through xrandr.

Expected results:
screen should be rotated to the left right and back to normal

Comment 2 Vasiliy Sharapov 2013-11-26 00:39:24 UTC
Bug also affects AMD/ATI Kaveri [1002:1304]

Comment 3 Jérôme Glisse 2013-12-10 21:43:52 UTC
You need linux-kernel-firmware >= 20131106-0.2.git7d0c7a8

Comment 4 Jérôme Glisse 2014-02-20 20:51:01 UTC
This need to be retested but here i can not reproduce with :

linux-firmware-20140102-0.2.git52d77db.el7.noarch
kernel-3.10.0-89
mesa-dri-drivers-9.2.5
xorg-x11-drv-ati-7.2.0-8.20140113git3213df1
xorg-x11-glamor-0.5.1-4.20140115gitfb4d046c

Comment 5 Jérôme Glisse 2014-03-07 15:27:47 UTC
We believe this is already fixed but moving to 7.1

Comment 7 Jérôme Glisse 2014-07-17 15:30:15 UTC
This should already work in 7.0 but reassigning to kernel as if it is an issue than it is a kernel issue.

Comment 8 Vasiliy Sharapov 2014-10-31 22:04:33 UTC
Retested on build : RHEL-7.1-20141006.1
  linux-firmware-20140911-0.1.git365e80c.el7.noarch
  kernel-3.10.0-175.el7.x86_64
  mesa-dri-drivers-10.2.7-3.20140910.el7.x86_64
  xorg-x11-drv-ati-7.4.0-1.20140918git56c7fb8.el7.x86_64
  xorg-x11-glamor-0.6.0-2.20140918git347ef4f.el7.x86_64
No longer affects:  Radeon HD 8770 [1002:6650]
No longer affects:  AMD/ATI Kaveri [1002:1304]

New rotation-related bug on AMD/ATI Kaveri [1002:1304]:
  https://bugzilla.redhat.com/show_bug.cgi?id=1159419


Note You need to log in before you can comment on or make changes to this bug.